Bug 969439 - Incorrect login-policy state reported
Incorrect login-policy state reported
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: realmd (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stef Walter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-31 08:20 EDT by Lukas "krteknet" Novy
Modified: 2014-02-18 18:56 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-06 12:25:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukas "krteknet" Novy 2013-05-31 08:20:40 EDT
Description of problem:
Enabling domain users to login using realm permit command reports incorrect login-policy in realm list command, logining works fine thou.

Version-Release number of selected component (if applicable):
realmd-0.14.2-1.fc19

How reproducible:
Always

Steps to Reproduce:
1. Join domain using realm join
2. Allow domain users to login using realm permit --all
3. Check login policy using realm list

Actual results:
login-policy: allow-realm-logins

Expected results:
login-policy: allow-any-login

Additional info:
This could be just typo in Testcase I was following: https://fedoraproject.org/wiki/QA:Testcase_realmd_login_any
Comment 1 Stef Walter 2013-06-06 12:25:11 EDT
Thank you for the report, and testing. Yes the test case had a typo, and wasn't updated after a change in realmd. I've updated the test case.

Note You need to log in before you can comment on or make changes to this bug.